---
title: ReportingObserverOptions
slug: Web/API/ReportingObserverOptions
tags:
  - API
  - Dictionary
  - Experimental
  - Reference
  - Reporting API
  - ReportingObserverOptions
---
<div>{{seecompattable}}{{APIRef("Reporting API")}}</div>

<p class="summary">The <code>ReportingObserverOptions</code> dictionary of the <a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a> allows options to be set in the constructor when creating a {{domxref("ReportingObserver")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>types</code></dt>
 <dd>An array of strings representing the types of report to be collected by this observer. Available types include <code>deprecation</code>, <code>intervention</code>, and <code>crash</code>.</dd>
 <dt><code>buffered</code></dt>
 <dd>A boolean that defines whether the reports that were generated before the observer was able to be created should be observable (<code>true</code>) or not (<code>false</code>).</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['deprecation'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  reportBtn.onclick = () =&gt; displayReports(reports);
}, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Reporting API","#dictdef-reportingobserveroptions","ReportingObserverOptions")}}</td>
   <td>{{Spec2("Reporting API")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ReportingObserverOptions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
